<?php

namespace Drupal\eca_user\EventSubscriber;

use Drupal\eca\EventSubscriber\Eca;
use Drupal\eca_user\Plugin\ECA\Event\UserEvent;

/**
 * ECA event subscriber.
 */
class EcaUser extends Eca {

  /**
   * {@inheritdoc}
   */
  public static function getSubscribedEvents(): array {
    $events = [];
    foreach (UserEvent::actions() as $action) {
      $events[$action['drupal_id']][] = ['onEvent'];
    }
    return $events;
  }

}
