<?php

namespace Drupal\eca;

interface EcaActionInterface {

  /**
   * @param \Symfony\Contracts\EventDispatcher\Event|\Symfony\Component\EventDispatcher\Event $event
   *
   * @return \Drupal\eca\EcaActionInterface
   */
  public function setEvent($event): EcaActionInterface;

  /**
   * Gets default configuration for this plugin.
   *
   * @return array
   *   An associative array with the default configuration.
   */
  public function defaultConfiguration(): array;

}
