<?php

namespace Drupal\eca;

/**
 *
 */
abstract class PluginEventBase extends PluginBase implements PluginEventInterface {

  /**
   * {@inheritdoc}
   */
  final public function drupalEventClass(): string {
    return $this->pluginDefinition['drupal_event_class'];
  }

  /**
   * {@inheritdoc}
   */
  public function applies($event, array $arguments): bool {
    return TRUE;
  }

  /**
   * {@inheritdoc}
   */
  public function output($event): array {
    return [];
  }

}
