<?php

namespace Drupal\eca;

trait PluginTrait {

  /**
   * @param \Drupal\Component\Plugin\PluginInspectionInterface[] $plugins
   */
  public function sortPlugins(array &$plugins): void {
    usort($plugins, static function($p1, $p2) {
      $l1 = (string) $p1->getPluginDefinition()['label'];
      $l2 = (string) $p2->getPluginDefinition()['label'];
      if ($l1 < $l2) {
        return -1;
      }
      if ($l1 > $l2) {
        return 1;
      }
      return 0;
    });
  }

}
